Skip to main content
GET
/
v1
/
webhooks
List webhooks
curl --request GET \
  --url https://api.ledger.so/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "items": [
      {
        "id": "whk_bcd890",
        "url": "https://example.com/webhooks/ledger",
        "events": [
          "customer.created",
          "transaction.completed",
          "card.issued"
        ],
        "status": "active",
        "createdAt": "2025-01-15T15:00:00Z",
        "secret": "whsec_a1b2c3d4e5f6g7h8i9j0"
      }
    ],
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token. Format: ld_<env>_<prefix>_<secret> where <env> is test or live.

Query Parameters

limit
integer
default:50

Maximum number of items to return. Defaults to 50, maximum 200.

Required range: 1 <= x <= 200
cursor
string

Pagination cursor from a previous response's nextCursor field.

Response

A paginated list of webhooks

ok
boolean
required

Indicates the request was successful.

data
object